Tweaking onos-* test scripts.
diff --git a/tools/test/bin/onos-log b/tools/test/bin/onos-log
index 611d6d7..698cc2f 100755
--- a/tools/test/bin/onos-log
+++ b/tools/test/bin/onos-log
@@ -10,6 +10,8 @@
 
 LOG=$ONOS_INSTALL_DIR/log/karaf.log
 
+trap "ssh $remote 'ps -ef | grep \"tail -n 512\" | grep -v grep | cut -c10-15 | xargs kill'" EXIT
+
 ssh $remote "
     while true; do
         [ ! -f $LOG ] && sleep 2 && continue